#!/bin/bash
mapfile users < <(last -w | grep -E "tty1.*still logged in" | awk '{print $1}')
if (( ${#users[@]} > 0 ))
then
  echo "Pay Attention: User(s) still logged in!"
  last | grep "still logged in"
  exit 1
else
  echo "Everything OK! Currently no users logged in"
  exit 0
fi
